package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_ENCRYPTION_FIELD"
)
public class TCoreEncryptionTypeField extends TBaseEntity {
   @Column(
      length = 50
   )
   private String datasystem_id;
   @Column(
      length = 128
   )
   private String tschemas;
   @Column(
      length = 128
   )
   private String names;
   @Column(
      length = 128
   )
   private String table_field_id;
   @Column(
      length = 50
   )
   private String encryption_secretkey_id;
   @Column(
      length = 256
   )
   private String combination_id;
   @Column(
      length = 50
   )
   private String column_type;
   @Column(
      length = 50
   )
   private String column_size;
   @Column(
      length = 256
   )
   private String describe_info;
   @Column(
      length = 10
   )
   private String flag;
   @Column(
      length = 256
   )
   private String projectid;
   @Column(
      length = 50
   )
   private String dataareaid;
   @Column(
      length = 255
   )
   private String dataareaname;
   @Column(
      length = 255
   )
   private String note;
   @Column(
      length = 32
   )
   private String state;
   private String createuser;
   private Date createtime;
   private String updateuser;
   private Date updatetime;
   private String datasystemname;
   private String encryptiontypename;
   private String secretkeyname;
   @Transient
   private String isExist;
   @Column(
      length = 2
   )
   private String islike;
   @Column(
      length = 32
   )
   private String keepfirst;
   @Column(
      length = 32
   )
   private String encdigit;
   @Column(
      length = 32
   )
   private String twoindex;
   private String realitycolumnsize;

   public String getColumn_type() {
      return this.column_type;
   }

   public void setColumn_type(String column_type) {
      this.column_type = column_type;
   }

   public String getCreateuser() {
      return this.createuser;
   }

   public void setCreateuser(String createuser) {
      this.createuser = createuser;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getUpdateuser() {
      return this.updateuser;
   }

   public void setUpdateuser(String updateuser) {
      this.updateuser = updateuser;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getTable_field_id() {
      return this.table_field_id;
   }

   public void setTable_field_id(String table_field_id) {
      this.table_field_id = table_field_id;
   }

   public String getEncryption_secretkey_id() {
      return this.encryption_secretkey_id;
   }

   public void setEncryption_secretkey_id(String encryption_secretkey_id) {
      this.encryption_secretkey_id = encryption_secretkey_id;
   }

   public String getCombination_id() {
      return this.combination_id;
   }

   public void setCombination_id(String combination_id) {
      this.combination_id = combination_id;
   }

   public String getColumn_size() {
      return this.column_size;
   }

   public void setColumn_size(String column_size) {
      this.column_size = column_size;
   }

   public String getDescribe_info() {
      return this.describe_info;
   }

   public void setDescribe_info(String describe_info) {
      this.describe_info = describe_info;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getDataareaid() {
      return this.dataareaid;
   }

   public void setDataareaid(String dataareaid) {
      this.dataareaid = dataareaid;
   }

   public String getDataareaname() {
      return this.dataareaname;
   }

   public void setDataareaname(String dataareaname) {
      this.dataareaname = dataareaname;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getDatasystemname() {
      return this.datasystemname;
   }

   public void setDatasystemname(String datasystemname) {
      this.datasystemname = datasystemname;
   }

   public String getEncryptiontypename() {
      return this.encryptiontypename;
   }

   public void setEncryptiontypename(String encryptiontypename) {
      this.encryptiontypename = encryptiontypename;
   }

   public String getSecretkeyname() {
      return this.secretkeyname;
   }

   public void setSecretkeyname(String secretkeyname) {
      this.secretkeyname = secretkeyname;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getIsExist() {
      return this.isExist;
   }

   public void setIsExist(String isExist) {
      this.isExist = isExist;
   }

   public String getIslike() {
      return this.islike;
   }

   public void setIslike(String islike) {
      this.islike = islike;
   }

   public String getKeepfirst() {
      return this.keepfirst;
   }

   public void setKeepfirst(String keepfirst) {
      this.keepfirst = keepfirst;
   }

   public String getEncdigit() {
      return this.encdigit;
   }

   public void setEncdigit(String encdigit) {
      this.encdigit = encdigit;
   }

   public String getTwoindex() {
      return this.twoindex;
   }

   public void setTwoindex(String twoindex) {
      this.twoindex = twoindex;
   }

   public String getRealitycolumnsize() {
      return this.realitycolumnsize;
   }

   public void setRealitycolumnsize(String realitycolumnsize) {
      this.realitycolumnsize = realitycolumnsize;
   }
}
